Page MenuHomePhabricator

[Design EPIC] Help desk: In-context experience
Closed, ResolvedPublic

Description

Background + Hypothesis

The Growth team will be adding a prompt allowing users to ask for help when they are in the context of editing an article, with the hypothesis that:
(A) Users are more likely to seek help when presented with an easy way to submit their questions; and
(B) Users are more likely to successfully complete an edit by knowing where to seek help.

User job story

When I am editing an article and am unsure about how to proceed...
...I want to get help while I am doing the editing task...
...so that I can confidently complete the edit.

Prep tasks

Proposed design

Sub-tasks

T210112 - Conduct user testing of initial in-context help UI designs
T210213 - Create copy document for the in-context help UI copy to be reviewed and ready for translation on TWN


Notes from previous conversations with the team around design.
  • At first, we only need to design the desktop experience. We will roll out a mobile experience after looking at the initial results from desktop.
  • How prominent should the call to action be, and where on the page should it be located?
  • How should the call to action be different (if at all) between the visual and wikitext editor experiences?
  • After clicking on the new feature, what options should the user be presented with?
  • Should the user be directed to the help desk, or should they be allowed to type and submit their question right from the editing experience?
  • What should the exact language be inside the feature?
  • Can a user dismiss this feature for good?

Relevant links
  • T197190 - translations of top new users questions on CS and KO Help Desk

Related Objects

Event Timeline

MMiller_WMF updated the task description. (Show Details)Oct 10 2018, 11:20 PM
Restricted Application added a subscriber: revi. · View Herald TranscriptOct 10 2018, 11:20 PM
Restricted Application added a subscriber: Urbanecm. · View Herald TranscriptOct 11 2018, 10:48 PM
RHo renamed this task from Help desk: design in-context experience to [Design EPIC] Help desk: In-context experience.Oct 30 2018, 7:36 PM
RHo updated the task description. (Show Details)
RHo updated the task description. (Show Details)Nov 22 2018, 4:22 PM
RHo updated the task description. (Show Details)Nov 23 2018, 12:11 AM
MMiller_WMF closed this task as Resolved.Jan 15 2019, 12:41 AM
RHo updated the task description. (Show Details)Feb 2 2019, 11:58 PM